pipeline {
  agent any
  parameters {
        string(name: 'ROLLBACK_VERSION', defaultValue: '', description: '')
        string(name: 'UNLOCK', defaultValue: '', description: '')
  }
  stages {
    stage('pull sourcecode') {
      steps {
        git(url: 'http://gitlab.hengansl.com/ebp/ebiz-product-factory-backmanege-h5.git', branch: 'master', credentialsId: 'cicd')
      }
    }

    stage('build') {
      steps {
        sh '/app/build.sh . 10 "12.22.6"'
      }
    }

    stage('deploy') {
      steps {
        sh '/app/deploy.sh 2 "10.1.0.192"'
      }
    }

  }
}
